> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns completed transactions with specified parameters



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/transactions/completed
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/completed:
    get:
      tags:
        - Transactions
      summary: Returns completed transactions with specified parameters
      operationId: GetCompletedTransactions
      parameters:
        - name: TransactionStatus
          in: query
          description: Active Transactions status
          schema:
            type: string
            description: Active Transactions status
        - name: SkillId
          in: query
          description: >-
            Available skill's ID (according to permissions). If this field is
            empty,

            then all the available skills will be used as filter.
          schema:
            type: string
            description: >-
              Available skill's ID (according to permissions). If this field is
              empty,

              then all the available skills will be used as filter.
        - name: SkillVersion
          in: query
          description: Only available skills can be filtered by their versions
          schema:
            type: string
            description: Only available skills can be filtered by their versions
        - name: StartDate
          in: query
          description: |-
            Minimum creation time of the transactions.
            Time must be defined in UTC format.
          schema:
            type: string
            description: |-
              Minimum creation time of the transactions.
              Time must be defined in UTC format.
            format: date-time
        - name: EndDate
          in: query
          description: |-
            Maximum creation time of the transactions.
            Time must be defined in UTC format.
            If not given, the current UTC time will be used.
          schema:
            type: string
            description: |-
              Maximum creation time of the transactions.
              Time must be defined in UTC format.
              If not given, the current UTC time will be used.
        - name: TransactionParameters
          in: query
          description: |-
            List of transaction parameters.
            Retrieved transactions should contain all the parameters
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter
            description: |-
              List of transaction parameters.
              Retrieved transactions should contain all the parameters
        - name: DocumentParameters
          in: query
          description: |-
            List of document parameters.
            Retrieved transactions should contain all the parameters
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter
            description: |-
              List of document parameters.
              Retrieved transactions should contain all the parameters
        - name: Offset
          in: query
          description: 'Pagination offset (default: 0)'
          schema:
            type: integer
            description: 'Pagination offset (default: 0)'
            format: int32
        - name: Limit
          in: query
          description: Pagination limit
          schema:
            type: integer
            description: Pagination limit
            format: int32
      responses:
        '200':
          description: >-
            Transactions with registration parameters of the transactions and
            their documents
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult
        '400':
          description: EndDate must be greater than start date
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.Parameter:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Web.Features.Transactions.Models.CompletedTransactionPartialResult:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.CompletedTransaction
          nullable: true
        totalItemCount:
          type: integer
          format: int32
      additionalProperties: false
      description: It's used only for Swagger
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.Reporting.Contracts.Models.CompletedTransaction:
      type: object
      properties:
        status:
          type: string
          description: Finished transaction status
          nullable: true
        pageCount:
          type: integer
          description: Page count of the transaction
          format: int32
        transactionId:
          type: string
          description: ID of the transaction
          format: uuid
        createTimeUtc:
          type: string
          description: Time of creation
          format: date-time
        transactionParameters:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.Parameter
          description: Registration parameters of the transaction
          nullable: true
        fileParameters:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.Reporting.Contracts.Models.Parameter
          description: Registration parameters of the file in for transaction
          nullable: true
        skillId:
          type: string
          description: Skill Id of the transaction
          nullable: true
        skillVersion:
          type: integer
          description: Version of the transaction's skill
          format: int32
        documentCount:
          type: integer
          description: Initial document count of the transaction
          format: int32
      additionalProperties: false
      description: Finished transactions
    Abbyy.Vantage.Reporting.Contracts.Models.Parameter:
      type: object
      properties:
        isReadOnly:
          type: boolean
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````